Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.util
Class ConverterFactory

    java.lang.Object
      org.crosswire.jsword.util.ConverterFactory

    public final class ConverterFactory

extends Object

A factory for Converters.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, `Converter`

Field Summary
`private static String` | `name` Current default converter implentation

Constructor Summary
`private` | `ConverterFactory()` Prevent instantiation

Method Summary
`static Converter` | `getConverter()` Generate a converter for the current converter name
`static String` | `getCurrentConverterName()` For config to read the currently preferred converter implementation
`static Map` | `getKnownConverters()` Get a map of the known converters, by looking up the answers in Project
`static void` | `setCurrentConverterName(String name)` For config to set the currently preferred converter implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private static String name

  Current default converter implentation

Constructor Detail

### ConverterFactory

    private ConverterFactory()

  Prevent instantiation

Method Detail

### getConverter

    public static Converter getConverter()

  Generate a converter for the current converter name

### getKnownConverters

    public static Map getKnownConverters()

  Get a map of the known converters, by looking up the answers in Project

### setCurrentConverterName

    public static void setCurrentConverterName(String name)

  For config to set the currently preferred converter implementation

### getCurrentConverterName

    public static String getCurrentConverterName()

  For config to read the currently preferred converter implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD